import type { Props } from './type';
declare const _default: import("vue").DefineComponent<Props, {
    openDialog: (token?: string) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    onCancel: () => any;
    onConfirm: () => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onOnCancel?: (() => any) | undefined;
    onOnConfirm?: (() => any) | undefined;
}>, {
    mainApp: "superadmin" | "enterpriseadmin" | "toolplatform";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
